DCMTK - Bug #1070

missing check of fclose() return value can lead to defective DICOM files
2023-03-24 10:51 - Marco Eichelberg

Status:

Priority:

Assignee:
Category:

Target version:
Module:

Operating System:

Closed

Normal

Marco Eichelberg
Library

3.6.9

Start date:
Due date:
% Done:

Estimated time:

Compiler:

2023-03-24

100%
4:00 hours

Description

DCMTK does not check the return value of fclose() in most of the calls of this function.
However, fclose() can fail when a full filesystem causes the flushing of the file buffer to fail.

DCMTK does not detect this, does not report an error or warning, but the result is a defective file.

Reported 2023-03-23 by Christian Wetzel <wetzel@phoenix-pacs.de>.

History

#1 - 2024-06-26 10:14 - Jorg Riesmeier

- Target version set to 3.6.9

#2 - 2024-10-01 09:42 - Marco Eichelberg

- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 4:00 h

Closed by commit #a6e7f3452 for the public modules and #a006e70a6 for the private modules.
